Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76825 - up2date agent exists abnormally
Summary: up2date agent exists abnormally
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-27 16:49 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 23:36:44 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-10-27 16:49:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

<quote>
Description of problem:
  53:up2date-gnome          ########################################### [ 92%]
  54:util-linux             ########################################### [ 94%]
  55:xchat                  ########################################### [ 96%]
  56:xinetd                 ########################################### [ 98%]
  57:ypserv                 ########################################### [100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 1169, in ?
  File "/usr/sbin/up2date", line 397, in main
    if argObj.getLong("force"):
  File "/usr/sbin/up2date", line 1148, in batchRun
  File "/usr/share/rhn/up2date_client/up2date.py", line 2400, in 
installBootLoader
  File "/usr/share/rhn/up2date_client/up2date.py", line 2419, in __install_grub
  File "/usr/share/rhn/up2date_client/grubcfg.py", line 16, in ?
    import rpmUtils 
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 22, in ?
    import up2dateErrors
  File "/usr/share/rhn/up2date_client/up2dateErrors.py", line 11, in ?
    import up2dateLog
  File "/usr/share/rhn/up2date_client/up2dateLog.py", line 8, in ?
    cfg = config.initUp2dateConfig()
AttributeError: initUp2dateConfig
</quote>

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.RedHat Linux 7.3 with kernel 2.4.18-3
2.up2date configuration file set to allow kernel update
3.up2date --update
4.After all the packages were installed, error........
	

Actual Results:  I found that the kernel is not installed.. I need to manually 
issue the 'rpm -Uph kernel-new-version.rpm'

Additional info:

Comment 1 will jones 2002-10-28 22:20:45 UTC
Would you be able to send me the output of the following command:

rpm -qa | grep up2date

Comment 2 Need Real Name 2002-10-29 03:55:05 UTC
Actually, I use the default RH7.3 up2date agent. But now, I think that the 
up2date agent is updated by a newer version. If my memory is not wrong, the 
version that i used is "up2date-2.7.86-7.x.3". And below is the output that you 
need. 

[root@ns1 root]# rpm -qa | grep up2date
up2date-2.8.39-1.7.3

Comment 3 Adrian Likins 2003-01-20 23:17:29 UTC
This was a problem with that errata when updating itself.

It should work  correctly after that.

Future versions should avoid this problem.


Note You need to log in before you can comment on or make changes to this bug.